Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 227378 - Canna: $RPM_OPT_FLAGS not used
Summary: Canna: $RPM_OPT_FLAGS not used
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Canna
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-05 18:33 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 09:36:29 UTC
Type: ---


Attachments (Terms of Use)
Use $RPM_OPT_FLAGS, cleanups (1008 bytes, patch)
2007-02-05 18:33 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-02-05 18:33:32 UTC
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

Canna is built without $RPM_OPT_FLAGS, resulting in no compiler security
features and more or less useless debuginfo.  The attached patch fixes this at
least partially as well as contains a few minor cleanups (using sed -i).

Comment 1 Ville Skyttä 2007-02-05 18:33:32 UTC
Created attachment 147387 [details]
Use $RPM_OPT_FLAGS, cleanups

Comment 2 Akira TAGOH 2007-02-13 09:36:29 UTC
Fixed in 3.7p3-16.fc7.


Note You need to log in before you can comment on or make changes to this bug.